ySgen1SysRecords
Albums.BasUJKKT\10 PRINT CHR$(255)+PF
20 FILEIN$ = Albums.LST
30 FILEOUT$ = Albumslst.tmp
40 PRINT Building Album database extraction submit file ;FILEOUT$;... ;
50 OPEN I, 1, FILEIN$
60 OPEN O, 2, FILEOUT$
70 PRINT 2, ' RBase submit file
80 PRINT 2, RBase
90 PRINT 2, n;CHR$(27)
100 PRINT 2, SET NULL |
110 PRINT 2, SET BELL OFF
120 PRINT 2, OUTPUT AlbumSongs.Tmp
130 WHILE NOT EOF(1)
140    INPUT 1, A$
150    PRINT 2, USING print alb1 where loc eq ;A$
160    PRINT 2, USING print alb2 sorted by song where loc eq ;A$
170 WEND
180 CLOSE 1
190 FILEIN$ = AlbumsVA.LST
200 OPEN I, 1, FILEIN$
210 PRINT 2, OUTPUT Terminal
220 PRINT 2, OUTPUT AlbumsVaSongs.Tmp
230 WHILE NOT EOF(1)
240    INPUT 1, A$
250    PRINT 2, USING print alb1 where loc eq ;A$
260    PRINT 2, USING print albva sorted by song where loc eq ;A$
270 WEND
280 PRINT 2, OUTPUT TERMINAL
290 PRINT 2, EXIT
300 PRINT 2, Compress Blanks
310 PRINT 2, AlbumSongs.tmp
320 PRINT 2, AlbumSongs.Dat;CHR$(27)
340 PRINT 2, Compress Blanks
350 PRINT 2, AlbumsVaSongs.tmp
360 PRINT 2, AlbumsVaSongs.Dat;CHR$(27)
380 CLOSE
390 PRINT  done.
400 SYSTEM
Sgen1SysRecordsCDs.BasUJKKTv10 PRINT CHR$(255)+PF
20 FILEIN$ = CDs.LST
30 FILEOUT$ = CDlst.tmp
40 PRINT Building CD database extraction submit file ;FILEOUT$;... ;
50 OPEN I, 1, FILEIN$
60 OPEN O, 2, FILEOUT$
70 PRINT 2, ' RBase submit file
80 PRINT 2, RBase
90 PRINT 2, n;CHR$(27)
100 PRINT 2, SET NULL |
110 PRINT 2, OUTPUT CDSONGS.DAT
120 WHILE NOT EOF(1)
130    INPUT 1, A$
140    PRINT 2, USING print cd1 where loc eq ;A$
150    PRINT 2, USING print cd2 sorted by trk where loc eq ;A$
160 WEND
170 CLOSE 1
180 FILEIN$ = CDsVA.LST
190 OPEN I, 1, FILEIN$
200 PRINT 2, OUTPUT Terminal
210 PRINT 2, OUTPUT CDVASONGS.DAT
220 WHILE NOT EOF(1)
230    INPUT 1, A$
240    PRINT 2, USING print cd1 where loc eq ;A$
250    PRINT 2, USING print va2 sorted by trk where loc eq ;A$
260 WEND
270 PRINT 2, OUTPUT TERMINAL
280 PRINT 2, EXIT
290 PRINT 2, Compress Blanks
300 PRINT 2, CDSONGS.DAT
310 PRINT 2, CDSONGS.TMP
320 PRINT 2, Y;CHR$(27)
330 PRINT 2, Compress Blanks
340 PRINT 2, CDVASONGS.DAT
350 PRINT 2, CDVASONGS.TMP
360 PRINT 2, Y;CHR$(27)
370 CLOSE
380 PRINT  done.
390 SYSTEM
Sgen1SysRecords	MENUS.APIUJKKTs5REC      MENUS   JMAIN    CDMENU  HELP            $	
UPDATE or INQUIREOMANUAL MODE INQUIRE ON CD DATA BASEERENUMER CDsSELECT DATA BASE
CD COLLECTIONCHRISTMAS CARD LISTSEXIT TO R:BASECDMENU  DIRSTUFFEXIT    CDUPDATECDINQ   renum   $SCREEN HELP                                                                    SELECT THE DATA BASE YOU WISH TO ACCESS                                                                                                                         $COMMANDDIRSTUFF                                                                NEWPAGE                                                                         WRITE Opening DATABASE . . .                                                  OPEN <DIR>DIR                                                                   SET NULL ?                                                                      SET LINES 26                                                                    LIST                                                                            QUIT                                                                                                                                                                                                                                                                                                                            $COMMANDEXIT                                                                    SET NULL ?                                                                      QUIT                                                                            $COMMANDCDUPDATE                                                                NEWPAGE                                                                         WRITE Opening DATABASE . . .                                                  OPEN <RECORDS>REC                                                               SET MESSAGE ON                                                                  SET ERROR MESSAGE ON                                                            SET NULL ?                                                                      SET LINES 26                                                                    LIST                                                                            QUIT                                                                            $COMMANDCDINQ                                                                                                                                                   SET MESSAGE ON                                                                  SET ERROR MESSAGE ON                                                            SET NULL ?                                                                      SET WIDTH 80                                                                    OPEN <RECORDS>REC                                                               SET VAR PICK5  INT                                                              SET ERROR VAR ev                                                                LABEL STARTAPP                                                                    NEWPAGE                                                                         WRITE Find Artists, Songs or the Year of a song in the CD collection+             at 2 10                                                                     WRITE +             AT 3 10                                                                     WRITE Enter: at 5 10                                                          WRITE 1  To find songs by a particular ARTIST at 6 12                        WRITE 2  To find a song(s) by its TITLE at 7 12                              WRITE 3  To find songs by the YEAR they were popular at 8 12                 WRITE 0  When finished at 9 12                                               WRITE Your choice             then press the [RETURN] or [GO] key at 11 10    FILLIN PICK5 USING   AT 11 22                                                 IF PICK5  EQ 0 THEN                                                               GOTO ENDAPP                                                                   ENDIF                                                                           IF PICK5  EQ            1 THEN                                                    FILLIN WHVAL USING Enter all or part of the Artist's name  at 13 10           NEWPAGE                                                                         WRITE Please wait while I find information on the ARTIST                      SHOW VAR WHVAL AT 1 52                                                          SELECT  +                                                                         Artist     +                                                                    Year=2     +                                                                    POS=3      +                                                                    LOC=3      +                                                                    Song       +                                                                    FROM CdSongs  +                                                                 SORTED BY Song  Year  +                                                         WHERE Artist   CONT   .WHVAL                                                  IF ev NE 0 THEN                                                                    WRITE No CDsSongs by that ARTIST                                          ENDIF                                                                           CLEAR WHVAL                                                                     WRITE Press any key to continue                                               PAUSE                                                                           GOTO STARTAPP                                                                 ENDIF                                                                           IF PICK5  EQ            2 THEN                                                    FILLIN WHVAL USING Enter all or part of a Song Title  at 13 10                NEWPAGE                                                                         WRITE Please wait while I find information on the SONG title                  SHOW VAR WHVAL AT 1 56                                                          SELECT  +                                                                         Song     +                                                                      Year=2   +                                                                      POS=3    +                                                                      LOC=3    +                                                                      Artist   +                                                                      FROM CdSongs  +                                                                 SORTED BY Song     Artist   Year     +                                          WHERE Song     CON    .WHVAL                                                  IF ev NE 0 THEN                                                                    WRITE No Songs like that on CD                                             ENDIF                                                                           CLEAR WHVAL                                                                     WRITE Press any key to continue                                               PAUSE                                                                           GOTO STARTAPP                                                                 ENDIF                                                                           IF PICK5  EQ            3 THEN                                                    FILLIN WHVAL USING What year? (YY) AT 13 10                                   NEWPAGE                                                                         WRITE Please wait while I find information on songs popular in 19   ...       SHOW VAR WHVAL=2 AT 1 60                                                        SELECT  +                                                                         Year=2+                                                                         POS=3 +                                                                         LOC=3 +                                                                         Song  +                                                                         Artist+                                                                         FROM CdSongs  +                                                                 SORTED BY Song     Artist   +                                                   WHERE Year     EQ     .WHVAL                                                  IF ev NE 0 THEN                                                                    WRITE No SongsCDs for that year                                           ENDIF                                                                           CLEAR WHVAL                                                                     WRITE Press any key to continue                                               PAUSE                                                                           GOTO STARTAPP                                                                 ENDIF                                                                           IF PICK5  EQ 9 THEN                                                               SET MESSAGE ON                                                                  SET ERROR MESSAGE ON                                                            QUIT                                                                          ENDIF                                                                           GOTO STARTAPP                                                                 LABEL ENDAPP                                                                    CLEAR PICK5                                                                     RETURN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          $COMMANDrenum                                                                   CLEAR ALL VARIABLES                                                             SET MESSAGES OFF                                                                SET ECHO ON                                                                     OPEN <RECORDS>REC                                                               NEWPAGE                                                                         OUTPUT 1 WITH SCREEN                                                            WRITE Building new SEQ file ....                                              PROJECT TMP FROM SEQ USING ALL SORTED BY LOC                                    REMOVE SEQ                                                                                                                                                      RENAME TABLE TMP TO SEQ                                                         WRITE Sorting and creating a new CDs file ...                                 PROJECT TMP FROM CDS USING ALL SORTED BY SORTNAME LOC                           REMOVE CDS                                                                                                                                                      RENAME TABLE TMP TO CDS                                                         SET POINTER 1 status FOR seq                                                   SET POINTER 2 FOR cds                                                          WHILE status = 0 THEN                                                             SET VAR newloc TO loc IN 1                                                     SET VAR cdsloc TO loc IN 2                                                     SET VAR cdstitle TO title IN 2                                                 SHOW VAR CDSLOC;  SHOW VAR CDSTITLE                                             SET MESSAGES ON; SET ECHO ON                                                    CHANGE loc TO newloc IN cds WHERE title EQ cdstitle AND loc EQ cdsloc           CHANGE loc TO newloc IN cdsongs WHERE title EQ cdstitle AND loc EQ cdsloc     (*  SET ECHO OFF; SET MESSAGES OFF   )                                            NEXT 1 status                                                                  NEXT 2                                                                       ENDWHILE                                                                        OUTPUT SCREEN                                                                   QUIT                                                                            KSgen1SysRecords	MENUS.APXUJKKT,	MENUS   MAIN    CDMENU  HELP    DIRSTUFFEXIT    	CDUPDATE
CDINQ   renum   (		$,							SELECT DATA BASE                                            	
CD COLLECTION CHRISTMAS CARD LIST EXIT TO R:BASEUPDATE or INQUIRE                                           MANUAL MODE INQUIRE ON CD DATA BASE RENUMER CDs SELECT THE DATA BASE YOU WISH TO ACCESS
 
  T>T><
(8
D(	
P;(	
L'<3h	
$$H@7l

 $4
LAh	

$$	$	0	0'
8	   $	P	
T
cSgen1SysRecordsT3Team1UJKKT
SIDE 1  Team 1
		Song                                     Artist                             Yr
		======================================== ================================== ==		
	1.	SUGAR SHACK	JIMMY GILMER  THE FIREALLS	63
	3.	HE'S SO FINE	THE CHIFFONS	63
	5.	FINGERTIPS  Pt. 2	LITTLE STEVIE WONDER	63
	7.	WALK LIKE A MAN	THE FOUR SEASONS	63
	9.	WILL YOU LOVE ME TOMORROW	THE SHIRELLES	61
	11.	SATURDAY NIGHT'S ALRIGHT FOR FIGHTING	ELTON JOHN	73
	13.	HOUSE OF THE RISING SUN	THE ANIMALS	64
	15.	I AM A ROCK	SIMON  GARFUNKEL	66
	17.	EVERYWHERE	FLEETWOOD MAC	88
	19.	LOUIE, LOUIE	THE KINGSMEN	63
	21.	WOOLY BULLY	SAM THE SHAM  THE PHARAOHS	65
	23.	DEVIL WITH A BLUE DRESS ON	MITCH RYDER  THE DETROIT WHEELS	66
	25.	NOBODY BUT ME	THE HUMAN BEINZ	68
	27.	PUSHIN' TOO HARD	THE SEEDS	67
	29.	DIRTY WATER	THE STANDELLS	66
	31.	LAND OF 1000 DANCES	CANNIBAL  THE HEADHUNTERS	65
	33.	JENNY TAKE A RIDE	MITCH RYDER  THE DETROIT WHEELS	66
	35.	YOU'LL ACCOMP'NY ME	BOB SEGER  SILVER BULLET BAND	80
	37.	RUBY, DON'T TAKE YOUR LOVE TO TOWN	KENNY ROGERS  THE FIRST EDITION	69
	39.	HE'S A REBEL	CRYSTALS	62
	41.	CHAPEL OF LOVE	THE DIXIE CUPS	64
	43.	WHITE RABBIT	JEFFERSON AIRPLANE	67
	45.	ALONG COMES MARY	THE ASSOCIATION	66
	47.	I SHOULD HAVE KNOWN BETTER	THE BEATLES	64
	49.	COME ON DOWN TO MY BOAT	EVERY MOTHERS' SON	67
	51.	LET IT OUT (LET IT ALL HANG OUT)	THE HOMBRES	67
	53.	LOVE IS ALL AROUND	THE TROGGS	68
	55.	REACH OUT OF THE DARKNESS	FRIEND  LOVER	68
	57.	GET OFF MY CLOUD	THE ROLLING STONES	65
	59.	YOU BABY	THE TURTLES	66
	61.	COUNTRY ROAD	JAMES TAYLOR	71
	63.	DANCING IN THE STREET	MARTHA  THE VANDELLAS	64
	65.	DON'T BE CRUEL	ELVIS PRESLEY	56
	67.	MONDAY, MONDAY	MAMAS AND THE PAPAS	66
	69.	I THANK THE LORD FOR THE NIGHT TIME	NEIL DIAMOND	67
	71.	THANK YOU	SLY  THE FAMILY STONE	70
	73.	SUMMER SONG, A	CHAD  JEREMY	64
	75.	GAME OF LOVE	WAYNE FONTANA  THE MINDBENDERS	65
	77.	ITCHYCOO PARK	SMALL FACES	68
	79.	HUSH	DEEP PURPLE	68
	81.	BITCH IS BACK	ELTON JOHN	74
	83.	BABY I'MA WANT YOU	BREAD	71
	85.	HELP ME RHONDA	THE BEACH BOYS	65
	87.	PUSHER, THE	STEPPENWOLF	68
	89.	HELLO, I LOVE YOU	THE DOORS	68
	91.	LOVES ME LIKE A ROCK	PAUL SIMON	73
	93.	TRACKS OF MY TEARS	SMOKEY ROBINSON  THE MIRACLES	65
	95.	WHERE DID OUR LOVE GO	THE SUPREMES	64
	97.	JUMPIN' JACK FLASH	THE ROLLING STONES	68
	99.	LOLA	THE KINKS	70
	101.	MAGIC MAN	HEART	76
	103.	COME ON UP	THE RASCALS	66
	105.	SHAMBALA	THREE DOG NIGHT	73
	107.	AMERICAN WOMAN	THE GUESS WHO	70
	109.	TOSSIN' AND TURNIN'	BOBBY LEWIS	61
	111.	BLUE MOON	THE MARCELS	61
	113.	TAKE GOOD CARE OF MY BABY	BOBBY VEE	61
	115.	MOTHERINLAW	ERNIE K. DOE	61
	117.	TICKET TO RIDE	THE BEATLES	65
		Song                                     Artist                             Yr
		======================================== ================================== ==	
	119.	CRIMSON AND CLOVER	TOMMY JAMES  THE SHONDELLS	69
	121.	WALK THIS WAY	AEROSMITH	77
	123.	YOU CAN'T HURRY LOVE	THE SUPREMES	66
	125.	IF I HAD A HAMMER	TRINI LOPEZ	63
	127.	UNDER THE BOARDWALK	THE DRIFTERS	64
	129.	WHITE ROOM	CREAM	68
	131.	TUESDAY AFTERNOON	THE MOODY BLUES	68
	133.	FOR YOUR LOVE	THE YARDBIRDS	65
	135.	ON THE ROAD AGAIN	CANNED HEAT	68
	137.	PAY YOU BACK WITH INTEREST	THE HOLLIES	67
	139.	LET'S LIVE FOR TODAY	THE GRASS ROOTS	67
	141.	GREEN RIVER	CREEDENCE CLEARWATER REVIVAL	69
	143.	LAYLA	DEREK  THE DOMINOS (ERIC CLAPTON)	72
	145.	TAKIN' IT TO THE STREETS	DOOBIE BROTHERS	76
SIDE 2
	1.	NORWEGIAN WOOD	THE BEATLES	65
	3.	WINDY	THE ASSOCIATION	67
	5.	HIS LATEST FLAME	ELVIS PRESLEY	61
	7.	I HAD TOO MUCH TO DREAM (LAST NIGHT)	ELECTRIC PRUNES	67
	9.	GLORIA	THE SHADOWS OF KNIGHT	66
	11.	LAUGH, LAUGH	THE BEAU BRUMMELS	65
	13.	LADY JANE	THE ROLLING STONES	66
	15.	LIGHT MY FIRE	THE DOORS	67
	17.	SEVENTH SON	JOHNNY RIVERS	65
	19.	ON A CAROUSEL	THE HOLLIES	67
	21.	I CAN SEE FOR MILES	THE WHO	67
	23.	WOODSTOCK	CROSBY, STILLS, NASH  YOUNG	70
	25.	DUKE OF EARL	GENE CHANDLER	62
	27.	PEPPERMINT TWIST  PT. 1	JOEY DEE  THE STARLINERS	62
	29.	WANDERER, THE	DION	62
	31.	PALISADES PARK	FREDDY CANNON	62
	33.	DON'T THROW YOUR LOVE AWAY	THE SEARCHERS	64
	35.	GOOD VIBRATIONS	THE BEACH BOYS	66
	37.	GREEN TAMBOURINE	THE LEMON PIPERS	68
	39.	LAY DOWN SALLY	ERIC CLAPTON	78
	41.	DREAM BABY	ROY ORBISON	62
	43.	WAY YOU DO THE THINGS YOU DO	THE TEMPTATIONS	64
	45.	SHOTGUN	JR. WALKER  THE ALLSTARS	65
	47.	MICKEY'S MONKEY	SMOKEY ROBINSON  THE MIRACLES	63
	49.	SOUNDS OF SILENCE	SIMON  GARFUNKEL	66
	51.	TRAVELIN' MAN	RICKY NELSON	61
	53.	DEDICATED FOLLOWER OF FASHION	THE KINKS	66
	55.	YOU'RE THE ONE	THE VOGUES	65
	57.	MAN WHO SHOT LIBERTY VALANCE	GENE PITNEY	62
	59.	LA BAMBA	RITCHIE VALENS	59
	61.	LITTLE TOWN FLIRT	DEL SHANNON	63
	63.	DON'T LET ME BE MISUNDERSTOOD	THE ANIMALS	65
	65.	I HEARD IT THROUGH THE GRAPEVINE	MARVIN GAYE	68
	67.	BROTHER LOVE'S TRAVELING SALVATION SHOW	NEIL DIAMOND	69
	69.	SOMEBODY TO LOVE	JEFFERSON AIRPLANE	67
	71.	BUS STOP	THE HOLLIES	66
	73.	DREAM ON	AEROSMITH	76
	75.	REACH OUT I'LL BE THERE	THE FOUR TOPS	66
	77.	SOMETHING'S BURNING	KENNY ROGERS  THE FIRST EDITION	70
	79.	AT THE HOP	DANNY  THE JUNIORS	58
	81.	GET A JOB	THE SILHOUETTES	58
	83.	YAKETY YAK	THE COASTERS	58
	85.	START ME UP	THE ROLLING STONES	81
	87.	I'M INTO SOMETHING GOOD	HERMAN'S HERMITS	64
		Song                                     Artist                             Yr
		======================================== ================================== ==	
	89.	MIDDLE OF THE ROAD	PRETENDERS	83
	91.	ON BROADWAY	THE DRIFTERS	63
	93.	YOU DIDN'T HAVE TO BE SO NICE	LOVIN' SPOONFUL	66
	95.	RESPECT	ARETHA FRANKLIN	67
	97.	YOU MIGHT THINK	THE CARS	84
	99.	DAY TRIPPER	THE BEATLES	66
	101.	YOU TURN ME ON	IAN WHITCOMB	65
	103.	GIMME SOME LOVIN'	THE SPENCER DAVIS GROUP	67
	105.	LADY GODIVA	PETER  GORDON	66
	107.	WITH A GIRL LIKE YOU	THE TROGGS	66
	109.	GOLD DUST WOMAN	FLEETWOOD MAC	77
	111.	LIAR	THREE DOG NIGHT	71
	113.	I THINK WE'RE ALONE NOW	TOMMY JAMES  THE SHONDELLS	67
	115.	AND WHEN I DIE	BLOOD, SWEAT  TEARS	69
	117.	IF	BREAD	71
	119.	JUST THE WAY YOU ARE	BILLY JOEL	78
	121.	ROCK ME	STEPPENWOLF	69
	123.	STAY	MAURICE WILLIAMS  THE ZODIACS	60
	125.	DO YOU LOVE ME	THE CONTOURS	62
	127.	(LONG COOL WOMAN) IN A BLACK DRESS	THE HOLLIES	72
	129.	YOU SHOWED ME	THE TURTLES	69
	131.	NO TIME	THE GUESS WHO	70
	133.	SURFIN' U.S.A.	THE BEACH BOYS	63
	135.	DOWN ON THE CORNER	CREEDENCE CLEARWATER REVIVAL	69
	137.	GOOD LUCK CHARM	ELVIS PRESLEY	62
	139.	LONG TRAIN RUNNIN'	DOOBIE BROTHERS	73
	141.	JUDY IN DISGUISE (WITH GLASSES)	JOHN FRED  HIS PLAYBOYS	68
	143.	YESTERDAY'S GONE	CHAD  JEREMY	64
	145.	CALIFORNIA SUN	THE RIVIERAS	64
